html {
  box-sizing: border-box;
  overflow: -moz-scrollbars-vertical;
  overflow-y: scroll;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body {
  margin: 0;
  background: #fafafa;
}

.topbar, .information-container {
  display: none !important;
}

.try-out__btn {
  display: none !important;
}

.swagger-ui .info hgroup.main a {
  display: none !important;
}

.FAQ li {
  margin-bottom: 20px;
}

.FAQ .question {
  font-weight: bold;
  margin-bottom: 8px;
}

.FAQ .answer {
  font-style: italic;
  color: gray;
  padding-left: 10px;
}

@media (max-width: 991px) {  
  
  .menu-items {
    display: flex;
    flex-wrap: wrap;
  }

  .menu-item {
    cursor: pointer;
    padding: 2px 8px; 
    font-size:medium;
  }

  .menu-item-icon svg {
    width: 16px;
    height: 16px;
    margin-right: 4px;
  }
}

@media (min-width: 992px) {  
  .menu{
    height: 100vh; /* full height of the viewport */
  }
  
  .menu-holder {
    width: 300px;
    position: relative;
  }

  .menu-item {
    cursor: pointer;
    padding: 13px;
    font-size: large;
  }

  .menu-item-icon svg {
    width: 24px;
    height: 24px;
    margin-right: 20px;
  }
}

.menu {
  position: sticky;
  top: 10px;  
  display: flex;
  flex-direction: column;  
  overflow-y: auto;
}

.menu-spacer{
  margin-top:auto;
}

.menu-bottom-link{
  padding: 1rem;
  background: #f8f9fa;
  border-top: 1px solid #dee2e6;
}

.menu-image {
  text-align: center;
  margin: 30px 0;
}
.menu-image svg {
  width: 80%;
  max-width: 300px;
  height: auto;
}

.content-holder {
  flex: 1 1 auto;
}

.text-primary {
  color: #7b0f85 !important;
}

.btn-primary {
  background-color: #7b0f85 !important;
}

.menu-item:hover,
.menu-item.active,
.menu-item:hover path {
  background-color: #7b0f85;
  color: white;
  stroke: white;
}

.small {
  font-size: small;
}

.large {
  font-size: large;
}

.card-header-home {
  font-size: x-large;
}

.error-card, .enum-card {
  margin-bottom: 20px;
}

.json-pre {
  outline: 1px solid #ccc;
  padding: 5px;
  margin: 5px;
}
.string {
  color: green;
}
.number {
  color: darkorange;
}
.boolean {
  color: blue;
}
.null {
  color: magenta;
}
.key {
  color: red;
}

.enum-title:hover{
  background: #7b0f85;
  color: white;
}